# List your custom domains GET https://api2.freecustom.email/v1/custom-domains Returns all custom domains you have added to your account, along with their verification status and the DNS records needed to verify them. **Plan required:** Growth ($49/mo) or Enterprise ($149/mo). Custom domains are **shared** between the API and the webapp dashboard — a domain added here appears in the dashboard immediately and vice-versa. Reference: https://docs.freecustom.email/free-custom-email-api/v-1/custom-domains/list-your-custom-domains ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v1/custom-domains: get: operationId: list-your-custom-domains summary: List your custom domains description: | Returns all custom domains you have added to your account, along with their verification status and the DNS records needed to verify them. **Plan required:** Growth ($49/mo) or Enterprise ($149/mo). Custom domains are **shared** between the API and the webapp dashboard — a domain added here appears in the dashboard immediately and vice-versa. tags: - subpackage_v1.subpackage_v1/customDomains parameters: - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/v1_custom-domains_List your custom domains_Response_200 '401': description: Unauthorized content: application/json: schema: $ref: >- #/components/schemas/GetV1Custom-domainsRequestUnauthorizedError '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/GetV1Custom-domainsRequestForbiddenError' '429': description: Too Many Requests content: application/json: schema: $ref: >- #/components/schemas/GetV1Custom-domainsRequestTooManyRequestsError servers: - url: https://api2.freecustom.email components: schemas: V1CustomDomainsGetResponsesContentApplicationJsonSchemaDataItems: type: object properties: domain: type: string added_at: type: string format: date-time verified: type: boolean mx_record: type: string txt_record: type: string required: - domain - added_at - verified - mx_record - txt_record title: V1CustomDomainsGetResponsesContentApplicationJsonSchemaDataItems v1_custom-domains_List your custom domains_Response_200: type: object properties: data: type: array items: $ref: >- #/components/schemas/V1CustomDomainsGetResponsesContentApplicationJsonSchemaDataItems count: type: integer success: type: boolean required: - data - count - success title: v1_custom-domains_List your custom domains_Response_200 GetV1Custom-domainsRequestUnauthorizedError: type: object properties: error: type: string message: type: string success: type: boolean required: - error - message - success title: GetV1Custom-domainsRequestUnauthorizedError GetV1Custom-domainsRequestForbiddenError: type: object properties: error: type: string message: type: string success: type: boolean upgrade_url: type: string format: uri required: - error - message - success - upgrade_url title: GetV1Custom-domainsRequestForbiddenError GetV1Custom-domainsRequestTooManyRequestsError: type: object properties: hint: type: string error: type: string message: type: string success: type: boolean credits_url: type: string format: uri upgrade_url: type: string format: uri required: - hint - error - message - success - credits_url - upgrade_url title: GetV1Custom-domainsRequestTooManyRequestsError securitySchemes: bearerAuth: type: http scheme: bearer ``` ## SDK Code Examples ```python v1_custom-domains_List your custom domains_example import requests url = "https://api2.freecustom.email/v1/custom-domains" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript v1_custom-domains_List your custom domains_example const url = 'https://api2.freecustom.email/v1/custom-domains'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go v1_custom-domains_List your custom domains_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api2.freecustom.email/v1/custom-domains" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby v1_custom-domains_List your custom domains_example require 'uri' require 'net/http' url = URI("https://api2.freecustom.email/v1/custom-domains") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java v1_custom-domains_List your custom domains_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api2.freecustom.email/v1/custom-domains") .header("Authorization", "Bearer ") .asString(); ``` ```php v1_custom-domains_List your custom domains_example request('GET', 'https://api2.freecustom.email/v1/custom-domains', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp v1_custom-domains_List your custom domains_example using RestSharp; var client = new RestClient("https://api2.freecustom.email/v1/custom-domains"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift v1_custom-domains_List your custom domains_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api2.freecustom.email/v1/custom-domains")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```